<style>
	h1 small {
	font-size: 60%;
	}
	textarea.ta-bind {
	width: 100%;
	}
	.btn-info-theme{width: 110px;}
	.extraIncludes{
	border: 1px solid #999;
    border-radius: 10px;
    padding: 3px
	}
	.green{color: green;}
	.visibHidden{visibility: hidden;}
	.longTour{margin-top: 10px; border-bottom: 1px solid #ccc;}
	.image_small{padding: 4px; border: 1px solid #ccc;}
	.package_icon > li {display: block; position: relative;}
	.package_icon > li > a {display: block;padding: 5px 5px;position: relative;}
	.package_icon {list-style: outside none none;margin-bottom: 0;}
	.padding1{padding: 1px;}
	.includeBack{background: #e5e5e5;}
	.mb5{margin-bottom: 5px;}
	.packday { position:relative; bottom:3px; }
</style>
<div ng-if="themes!='' && tchange && ctContent.length<1 && selectedPage.csScreenName!='CONTACTUS'" class="col-md-12 text-right mb20"><button ng-click="createContent();" type="button" class="btn btn-theme" data-toggle="modal" data-target=".bs-{{selectedPage.csScreenName | lowercase}}-modal-add"><i class="fa fa-plus"></i>Add {{selectedPage.csScreenName | lowercase}}</button> </div>
<div ng-if="themes!='' && copy && ctContent.length<1 && selectedPage.csScreenName!='CONTACTUS'" class="col-md-10 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
<div ng-if="themes!='' && tchange && selectedPage.csScreenName=='CONTACTUS'" class="col-md-12 text-right mb20"><button ng-click="createContent();" type="button" class="btn btn-theme" data-toggle="modal" data-target=".bs-{{selectedPage.csScreenName | lowercase}}-modal-add"><i class="fa fa-plus"></i>Add {{selectedPage.csScreenName | lowercase}}</button> </div>
<div ng-if="themes!='' && copy && selectedPage.csScreenName=='CONTACTUS'" class="col-md-10 text-right mb20"><button ng-click="pasteContent();" type="button" class="btn btn-theme"><i class="fa fa-paste"></i>Paste</button> </div>
<div ng-if="themes!='' && copy" class="col-md-2 text-right mb20"><button ng-click="uncopyContent();" type="button" class="btn btn-theme"><i class="fa fa-undo"></i>Uncopy All</button> </div>
<div class="row" ng-if="ctContent.length>0">
	<div class="col-md-12">
		<div tasty-table bind-resource="resource" class="table-responsive" style="height:500px; margin-top:0; overflow-y:scroll; overflow-x:hidden;">
			<table class="table  table-primary table-striped table-hover table-bordered" id="table1">
				<thead>
					<tr>
						<th>#</th>
						<th>{{selectedPage.csScreenName}}</th>
						<th>Edit</th>
						<th>Delete</th>
						<th>Copy</th>
					</tr>
				</thead>
				<tbody>
					<tr class="odd gradeX" ng-repeat="row in rows">
						<td>{{((pagination.page-1)*10)+($index+1)}}</td>
						<td>{{row.name}}</td>
						<td><i data-toggle="modal" data-target=".bs-{{selectedPage.csScreenName | lowercase}}-modal-edit" ng-click="editContent($index)" class="fa fa-edit pointer"></i></td>
						<td><i ng-click="deleteContent($index)" class="fa fa-trash-o pointer"></i>
							<td><span ng-if="!row.copy" ng-click="copyContent($index)" class="fa fa-copy pointer"></span>
								<span class="fa fa-copy" style="color:blue" ng-if="row.copy"></span>
							</td>
						</tr>
						
					</tbody>
				</table>
			</div><!-- table-responsive -->
			
		</div>
	</div>
	
	
	<div class="modal fade bs-{{selectedPage.csScreenName | lowercase}}-modal-add" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-form-add" name="aboutusFormAdd" novalidate>
					<span style="visibility:hidden;">{{addFormValid = aboutusFormAdd.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row" ng-if="selectedPage.csScreenName=='ABOUTUS'">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1" style="border:1px solid #E5E5E5; height:280px;">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="fileupload-new btn btn-theme form-control">Select file</span>
													<span ng-hide="hmode=='add'" class="fileupload-exists btn btn-theme form-control">Change</span>
													<input name="add-holiday-aboutus" id="add-holiday-aboutus" ngf-select="uploadImage(picFile,'aboutus',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" required="" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
									</div>
									
									<img src="{{createCmsObj.aboutUsimg}}" height="240" width="100%" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" style="padding-left:20px;">
								<div class="form-group">
									<input name="add-name" id="add-name" required type="text" class="form-control col-lg-6" placeholder="Name" ng-model="createCmsObj.name" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" ng-if="selectedPage.csScreenName=='CONTACTUS'">
								<div class="form-group">
									<input name="add-latitude" id="add-latitude" required type="text" class="form-control col-lg-6" placeholder="Latitude" ng-model="createCmsObj.latitude" />
								</div>
								<div class="form-group">
									<input name="add-longitude" id="add-longitude" required type="text" class="form-control col-lg-6" placeholder="Longitude" ng-model="createCmsObj.longitude" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div text-angular ng-model="createCmsObj.desc"></div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('add',addFormValid);" type="button" class="btn btn-success">Add {{selectedPage.csScreenName | lowercase}}</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	<div class="modal fade bs-{{selectedPage.csScreenName | lowercase}}-modal-edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<button aria-hidden="true" data-dismiss="modal" class="close" type="button">&times;</button>
				</div>
				<form id="{{selectedPage.csScreenName | lowercase}}-form-update" name="aboutusFormEdit" novalidate>
					<span style="visibility:hidden;">{{editFormValid = aboutusFormEdit.$valid}}</span>
					<div class="modal-body" style="height:500px; overflow:auto;">
						<div class="row" ng-if="selectedPage.csScreenName=='ABOUTUS'">
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10">
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-1" style="border:1px solid #E5E5E5; height:280px;">
									<div class="fileupload fileupload-new" data-provides="fileupload" style="position:absolute; top:5px; left:15px;">
										<div class="input-append">
											<div class="form-group">
												<span class="btn-default btn-file">
													<span ng-show="hmode=='add'" class="fileupload-new btn btn-theme form-control">Select file</span>
													<span ng-hide="hmode=='add'" class="fileupload-exists btn btn-theme form-control">Change</span>
													<input name="edit-holiday-aboutus" id="edit-holiday-aboutus" ngf-select="uploadImage(picFile,'aboutus',0)" ng-model="picFile" name="file" ngf-accept="'image/*'" type="file" style="transform:none; width:100%;" />
												</span>
											</div>
										</div>
									</div>
									
									<img src="{{editCmsObj.aboutUsimg}}" height="240" width="100%" />
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" style="padding-left:20px;">
								<div class="form-group">
									<input name="edit-name" id="edit-name" required type="text" class="form-control col-lg-6" placeholder="Name" ng-model="editCmsObj.name" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6" ng-if="selectedPage.csScreenName=='CONTACTUS'">
								<div class="form-group">
									<input name="edit-latitude" id="edit-latitude" required type="text" class="form-control col-lg-6" placeholder="Latitude" ng-model="editCmsObj.latitude" />
								</div>
								<div class="form-group">
									<input name="edit-longitude" id="edit-longitude" required type="text" class="form-control col-lg-6" placeholder="Longitude" ng-model="editCmsObj.longitude" />
								</div>
							</div>
							<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-left:20px;">
								<div text-angular ng-model="editCmsObj.desc"></div>
							</div>
							
						</div>
						
					</div>
					<div class="modal-footer">
						<button ng-click="addContent('update');" type="button" class="btn btn-success">Update {{selectedPage.csScreenName | lowercase}}</button>
					</div>
				</form>
			</div>
		</div>
	</div>
